import request from '@/utils/request'

// 促销商品
export function groom4(data) {
	return request({
		url: '/api/groom/list/4',
		method: 'get',
		data
	});
}
// 精品推荐
export function groom1(data) {
	return request({
		url: '/api/groom/list/1',
		method: 'get',
		data
	});
}
// 新品首发
export function groom3(data) {
	return request({
		url: '/api/groom/list/3',
		method: 'get',
		data
	});
}

// 获取首页信息
export function loadIndexs(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}
// 会员卡列表
export function getMenberCard(data) {
	return request({
		url: '/api/card/list',
		method: 'get',
		data
	});
}
//购买会员卡
export function buyMenber(data) {
	return request({
		url: '/api/card/routine',
		method: 'post',
		data
	});
}

//获取材料
export function getZyList(data) {
	return request({
		url: '/api/water/list',
		method: 'get',
		data
	});
}

//api/water/calculation
export function calculation(data) {
	return request({
		url: '/api/water/calculation',
		method: 'post',
		data
	});
}

//根据高度获取默认方案
export function getDefault(data) {
	return request({
		url: '/api/water/default',
		method: 'get',
		data
	});
}